<?php
/*---------------------------------------------------+
| PHP-Fusion 7 Content Management System
+----------------------------------------------------+
| Copyright (c) 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| FS-Cat-Panel
| Copyright (c) 2009 Comy
| http://www.php-fusion-shop.de
|----------------------------------------------------*/

if (!defined("IN_FUSION")) { header("Location:../../index.php"); exit; }

if (file_exists(INFUSIONS."fs_kat_panel/locales/".$settings['locale'].".php")) {
	include INFUSIONS."fs_kat_panel/locales/".$settings['locale'].".php";
} else {
	include INFUSIONS."fs_kat_panel/locales/German.php";
}

//News
if(strstr(FUSION_REQUEST, "news.php")) {
	openside($locale['fs_kat_001']);
	$result = dbquery("SELECT * FROM ".DB_NEWS_CATS);
	while($data=dbarray($result)){
		echo THEME_BULLET." <a href='".BASEDIR."news_cats.php?cat_id=".$data['news_cat_id']."' class='side'>".$data['news_cat_name']."</a><br />\n";
	}
	closeside();
}

if(strstr(FUSION_REQUEST, "news_cats.php")) {
	openside($locale['fs_kat_001']);
	$result = dbquery("SELECT * FROM ".DB_NEWS_CATS);
	while($data=dbarray($result)){
		echo THEME_BULLET." <a href='".BASEDIR."news_cats.php?cat_id=".$data['news_cat_id']."' class='side'>".$data['news_cat_name']."</a><br />\n";
	}
	closeside();
}

//Artikel
if(strstr(FUSION_REQUEST, "articles.php")) {
	openside($locale['fs_kat_002']);
	$result = dbquery("SELECT * FROM ".DB_ARTICLE_CATS." WHERE ".groupaccess('article_cat_access')." ORDER BY article_cat_name");
	while($data=dbarray($result)){
		echo THEME_BULLET." <a href='".BASEDIR."?cat_id=".$data['article_cat_id']."'>".$data['article_cat_name']."</a><br />\n";
	}
	closeside();
}

if(strstr(FUSION_REQUEST, "readarticle.php")) {
	openside($locale['fs_kat_002']);
	$result = dbquery("SELECT * FROM ".DB_ARTICLE_CATS." WHERE ".groupaccess('article_cat_access')." ORDER BY article_cat_name");
	while($data=dbarray($result)){
		echo THEME_BULLET." <a href='".BASEDIR."?cat_id=".$data['article_cat_id']."'>".$data['article_cat_name']."</a><br />\n";
	}
	closeside();
}

//PDP
if(strstr(FUSION_REQUEST, "download.php")) {
	openside($locale['fs_kat_003']);
	echo THEME_BULLET." <a href='".INFUSIONS."pro_download_panel/search.php'>".$locale['fs_kat_004']."</a><br />\n";
	require_once(INFUSIONS."pro_download_panel/infusion_db.php");
      $result = dbquery("SELECT * FROM ".DB_PDP_CATS." WHERE ".groupaccess('cat_download_access')." ORDER BY cat_order");
	  while($data=dbarray($result)){
		echo THEME_BULLET." <a href='".INFUSIONS."pro_download_panel/download.php?cat_id=".$data['cat_id']."'>".$data['cat_name']."</a><br />\n";
	}
	if(iMEMBER) echo THEME_BULLET." <a href='".INFUSIONS."pro_download_panel/edit_desc.php'>".$locale['fs_kat_005']."</a><br />\n";
	closeside();
}

if(strstr(FUSION_REQUEST, "pro_download_panel/search.php")) {
	openside($locale['fs_kat_003']);
	echo THEME_BULLET." <a href='".INFUSIONS."pro_download_panel/search.php'>".$locale['fs_kat_004']."</a><br />\n";
	require_once(INFUSIONS."pro_download_panel/infusion_db.php");
      $result = dbquery("SELECT * FROM ".DB_PDP_CATS." WHERE ".groupaccess('cat_download_access')." ORDER BY cat_order");
	  while($data=dbarray($result)){
		echo THEME_BULLET." <a href='".INFUSIONS."pro_download_panel/download.php?cat_id=".$data['cat_id']."'>".$data['cat_name']."</a><br />\n";
	}
	if(iMEMBER) echo THEME_BULLET." <a href='".INFUSIONS."pro_download_panel/edit_desc.php'>".$locale['fs_kat_005']."</a><br />\n";
	closeside();
}

//Forum
/*if(strstr(FUSION_REQUEST, "viewthread.php")) {

}

if(strstr(FUSION_REQUEST, "viewforum.php")) {

}
if(strstr(FUSION_REQUEST, "forum/index.php")) {

}
*/

//weblinks
if(strstr(FUSION_REQUEST, "weblinks.php")) {
	openside($locale['fs_kat_006']);
	$result=dbquery("SELECT * FROM ".DB_WEBLINK_CATS." WHERE ".groupaccess('weblink_cat_access')." ORDER BY weblink_cat_name");
	while($data=dbarray($result)){
		echo THEME_BULLET." <a href='".BASEDIR."weblinks.php?cat_id=".$data['weblink_cat_id']."'>".$data['weblink_cat_name']."</a><br />\n";
	}
	closeside();
}

//FAQ
if(strstr(FUSION_REQUEST, "faq.php")) {
	openside($locale['fs_kat_007']);
	$result=dbquery("SELECT * FROM ".DB_FAQ_CATS." ORDER BY faq_cat_name");
	while($data=dbarray($result)){
		echo THEME_BULLET." <a href='".BASEDIR."faq.php?cat_id=".$data['faq_cat_id']."'>".$data['faq_cat_name']."</a><br />\n";
	}
	closeside();
}

//Fotogallery
if(strstr(FUSION_REQUEST, "photogallery.php")) {
	openside($locale['fs_kat_008']);
	$result=dbquery("SELECT * FROM ".DB_PHOTO_ALBUMS." WHERE ".groupaccess('album_access')." ORDER BY album_order");
	while($data=dbarray($result)){
		echo THEME_BULLET." <a href='".BASEDIR."photogallery.php?album_id=".$data['album_id']."'>".$data['album_title']."</a><br />\n";
	}
	closeside();
}

?>